### Method

# AppStream Validator validate_file

#### Declaration [src]

    gboolean
    as_validator_validate_file (
      AsValidator* validator,
      GFile* metadata_file
    )

#### Description [src]

Validate an AppStream XML file.

#### Parameters

`metadata_file`

  Type: `GFile`

  An AppStream XML file.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if file validated successfully.